This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 789240 - Review Request: freqtweak - Realtime audio frequency spectral manipulation
Review Request: freqtweak - Realtime audio frequency spectral manipulation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Orti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-10 02:13 EST by Brendan Jones
Modified: 2012-05-27 21:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
j.orti.alcaine: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Fix the unknown macro in the man page (282 bytes, patch)
2012-04-25 06:49 EDT, Juan Orti
no flags Details | Diff

  None (edit)
Description Brendan Jones 2012-02-10 02:13:49 EST
SRPM: http://bsjones.fedorapeople.org/freqtweak-0.7.2-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/freqtweak.spec

FreqTweak is a tool for FFT-based realtime audio spectral manipulation
and display. It provides several algorithms for processing audio data
in the frequency domain and a highly interactive GUI to manipulate the
associated filters for each. It also provides high-resolution spectral
displays in the form of scrolling-raster spectragrams and energy vs
frequency plots displaying both pre- and post-processed spectra.

this is another package being moved from Planet CCRMA into Fedora.
Comment 1 Juan Orti 2012-04-24 10:34:00 EDT
- Desktop file:
 * Key "Categories" is a list and does not have a semicolon as trailing character.
 * Value "freqtweak.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

- Source URL: md5sum doesn't match. for sourceforge.net see: https://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

- SourceX and PatchY should be prefixed with %{name} and %{name}-%{version} where applicable.

- Patches should have a bug report.

- You should open a bug about incorrect FSF postal address in license and code files.

- Non a blocker, but it will be interesting to make this patch suitable to all platforms:
freqtweak.spec: W: %ifarch-applied-patch Patch1: freqtweak-0.7.2-long.patch
A patch is applied inside an %ifarch block. Patches must be applied on all
architectures and may contain necessary configure and/or code patch to be
effective only on a given arch.

Rpmlint output:

SPECS/freqtweak.spec: W: %ifarch-applied-patch Patch1: freqtweak-0.7.2-long.patch
freqtweak.x86_64: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.x86_64: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
freqtweak.x86_64: E: incorrect-fsf-address /usr/share/doc/freqtweak-0.7.2/COPYING
freqtweak.x86_64: W: manual-page-warning /usr/share/man/man1/freqtweak.1.gz 148: warning: macro `T' not defined
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocBoost.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorGui.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/slider_bar.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTutils.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTportSelectionDialog.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectragram.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocPitch.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTportSelectionDialog.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocI.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTutils.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocCompressor.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTapp.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocLimit.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocDelay.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocCompressor.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectralEngine.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocDelay.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTtypes.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRotate.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/pix_button.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/spin_box.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/slider_bar.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectralEngine.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocOrderDialog.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodValueLFO.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocOrderDialog.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/pix_button.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocessPath.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRotate.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocWarp.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorDialog.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRotateLFO.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorGui.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTpresetBlender.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/spin_box.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTjackSupport.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorDialog.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTconfigManager.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocGate.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRandomize.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocBoost.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmainwin.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTapp.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTconfigManager.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTdspManager.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmainwin.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocWarp.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTjackSupport.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FThelpWindow.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorI.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocLimit.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocI.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorI.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FThelpWindow.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTactiveBarGraph.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectrumModifier.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodValueLFO.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/LockMonitor.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTdspManager.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocEQ.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRotateLFO.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocEQ.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/RingBuffer.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocessPath.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectragram.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTpresetBlendDialog.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorManager.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocPitch.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTpresetBlender.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTspectrumModifier.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/RingBuffer.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTioSupport.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTupdateToken.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTactiveBarGraph.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodulatorManager.cpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTprocGate.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTioSupport.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTmodRandomize.hpp
freqtweak-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/freqtweak-0.7.2/src/FTpresetBlendDialog.cpp
freqtweak.src: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.src: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.src: W: spelling-error %description -l en_US pre -> per, ore, pee
freqtweak.src: W: %ifarch-applied-patch Patch1: freqtweak-0.7.2-long.patch
freqtweak.src: W: file-size-mismatch freqtweak-0.7.2.tar.gz = 239792, http://dl.sf.net/sourceforge/freqtweak/freqtweak-0.7.2.tar.gz = 54081
3 packages and 1 specfiles checked; 80 errors, 12 warnings.
Comment 2 Brendan Jones 2012-04-24 22:06:10 EDT
Thanks for taking this on.

SRPM: http://bsjones.fedorapeople.org/freqtweak-0.7.2-3.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/freqtweak.spec

Addressed all issues apart from FSF address. I am not patching it now, but will notify upstream.
Comment 3 Juan Orti 2012-04-25 06:48:16 EDT
The spec file is not updated, I take the one in the srpm.

- The Source0 url isn't working for me, it downloads a html page, please change this line with:
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

- The man page has a unknown macro in the line 148, I have tried to delete that line and seems ok, I attach the patch I've used.

- Remember to submit the patches upstream and add a comment in the spec file with the bug report.

- In the icon scriptlets, it's missing the "|| :" at the end of some commands in %post and %postun. Add them to avoid possible errors, see: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

- In the %files section I prefer to have freqtweak substituted by %{name}
Comment 4 Juan Orti 2012-04-25 06:49:37 EDT
Created attachment 580134 [details]
Fix the unknown macro in the man page
Comment 5 Brendan Jones 2012-04-27 11:16:59 EDT
OK, sorry about the incorrect spec. Added the man patch (thanks!) and FSF address patch. Corrected the scriptlets, macros and the source URL.

SRPM: http://bsjones.fedorapeople.org/freqtweak-0.7.2-4.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/freqtweak.spec


freqtweak.src: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.src: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.src: W: spelling-error %description -l en_US pre -> per, ore, pee
freqtweak.x86_64: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.x86_64: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 6 Juan Orti 2012-05-02 04:18:06 EDT
Hello Brendan, excuse me for not detailing that the license issue should be notified upstream, but not patched by us, because we're not allowed to patch the license texts. I suffered the same issue in another package I did.

Now the spec is ok, please remove the FSF address patch, and I'll post the final review.

Regards.
Comment 7 Brendan Jones 2012-05-02 04:29:14 EDT
Quite right, removed the COPYING patch, but left the others which is permissible and serves to help us track the issue with upstream. See https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

SRPM: http://bsjones.fedorapeople.org/freqtweak-0.7.2-5.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/freqtweak.spec
Comment 8 Juan Orti 2012-05-02 04:43:17 EDT
This package is APPROVED.

Ignore the issue about the desktop file, it's allright.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint freqtweak-0.7.2-5.fc17.src.rpm

freqtweak.src: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.src: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.src: W: spelling-error %description -l en_US pre -> per, ore, pee
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint freqtweak-debuginfo-0.7.2-5.fc17.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint freqtweak-0.7.2-5.fc17.x86_64.rpm

freqtweak.x86_64: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.x86_64: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
freqtweak.x86_64: E: incorrect-fsf-address /usr/share/doc/freqtweak-0.7.2/COPYING
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/juan/789240/freqtweak-0.7.2.tar.gz :
  MD5SUM this package     : 36a2ae6d0ed836c3e187fb922c1bc6c8
  MD5SUM upstream package : 36a2ae6d0ed836c3e187fb922c1bc6c8

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
[!]: MUST Rpmlint output is silent.

rpmlint freqtweak-0.7.2-5.fc17.src.rpm

freqtweak.src: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.src: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.src: W: spelling-error %description -l en_US pre -> per, ore, pee
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint freqtweak-debuginfo-0.7.2-5.fc17.x86_64.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint freqtweak-0.7.2-5.fc17.x86_64.rpm

freqtweak.x86_64: W: spelling-error Summary(en_US) Realtime -> Mealtime, Real time, Real-time
freqtweak.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
freqtweak.x86_64: W: spelling-error %description -l en_US spectragrams -> spectra grams, spectra-grams, pentagrams
freqtweak.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
freqtweak.x86_64: E: incorrect-fsf-address /usr/share/doc/freqtweak-0.7.2/COPYING
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 9 Brendan Jones 2012-05-02 06:13:58 EDT
Thanks for taking this review

New Package SCM Request
=======================
Package Name: freqtweak
Short Description: Realtime audio frequency spectral manipulation
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 10 Jon Ciesla 2012-05-02 08:15:54 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-05-02 17:43:28 EDT
freqtweak-0.7.2-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/freqtweak-0.7.2-5.fc17
Comment 12 Fedora Update System 2012-05-02 17:43:34 EDT
freqtweak-0.7.2-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/freqtweak-0.7.2-5.fc16
Comment 13 Fedora Update System 2012-05-04 22:09:05 EDT
freqtweak-0.7.2-5.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2012-05-27 21:18:24 EDT
freqtweak-0.7.2-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-05-27 21:25:28 EDT
freqtweak-0.7.2-5.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.